> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/navigation/wisej.hybrid.shared.applinks.applinkentry.md).

# AppLinkEntry

Namespace: **Wisej.Hybrid.Shared.AppLinks**

Assembly: **Wisej.Hybrid** (3.5.0.0)

A deep application link in an app link search index.

{% tabs %}
{% tab title="C#" %}

```csharp
public class AppLinkEntry
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class AppLinkEntry
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)AppLinkEntry()

Creates a new AppLinkEntry with default values.

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)AppLinkUri

[Uri](https://docs.microsoft.com/dotnet/api/system.uri): Gets or sets an application-specific URI that uniquely describes content within an app.

An application-specific URI that uniquely describes content within an app.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Description

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets a description that appears with the item in search results.

The description that appears with the item in search results.

### ![](/files/CCV9PPenlC1YZvNh1I6R)KeyValues

[Dictionary\<String, String>](https://docs.microsoft.com/dotnet/api/system.collections.generic.dictionary-2): Gets a dictionary of application-specific key-value pairs.

A dictionary of standard and application-specific key-value pairs that is used for Handoff on the iOS platform. The standard keys are contentType, associatedWebPage, and shouldAddToPublicIndex.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Title

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the title of the item.

## Methods

### ![](/files/kFkcPOa6hLWL1HRvZMvY)FromUri(uri)

Creates and returns a new Microsoft.Maui.Controls.AppLinkEntry for the specified uri.

| Parameter | Type                                                    | Description     |
| --------- | ------------------------------------------------------- | --------------- |
| **uri**   | [Uri](https://docs.microsoft.com/dotnet/api/system.uri) | The Uri to use. |

**Returns:** [AppLinkEntry](/hybrid/start/api/navigation/wisej.hybrid.shared.applinks.applinkentry.md). The entry.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/navigation/wisej.hybrid.shared.applinks.applinkentry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
